Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class TreeImageBase.TreeImageData

    java.lang.Object
      org.richfaces.renderkit.html.images.TreeImageBase.TreeImageData

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TreeImageBase

    protected static class TreeImageBase.TreeImageData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TreeImageBase.TreeImageData()`
`TreeImageBase.TreeImageData(byte[] data)`

Method Summary
`java.lang.Integer` | `getControlColor()`
`java.lang.Integer` | `getGeneralColor()`
`java.lang.Integer` | `getTrimColor()`
`void` | `setControlColor(java.lang.Integer controlColor)`
`void` | `setGeneralColor(java.lang.Integer generalColor)`
`void` | `setTrimColor(java.lang.Integer trimColor)`
`byte[]` | `toByteArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeImageBase.TreeImageData

    public TreeImageBase.TreeImageData()

### TreeImageBase.TreeImageData

    public TreeImageBase.TreeImageData(byte[] data)

Method Detail

### getControlColor

    public java.lang.Integer getControlColor()

### setControlColor

    public void setControlColor(java.lang.Integer controlColor)

### getTrimColor

    public java.lang.Integer getTrimColor()

### setTrimColor

    public void setTrimColor(java.lang.Integer trimColor)

### getGeneralColor

    public java.lang.Integer getGeneralColor()

### setGeneralColor

    public void setGeneralColor(java.lang.Integer generalColor)

### toByteArray

    public byte[] toByteArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.